#include <string.h>
#include "esp_log.h"
#include "esp_mac.h"
#include "esp_wifi.h"

#include "nvs_flash.h"

#include "esp_netif_lora.h"

void app_main() {
  esp_netif_lora_config_t config;

  esp_efuse_mac_get_default((uint8_t*)&config.mac);

  esp_netif_set_ip4_addr(&config.ip_info.ip, 10, 10 , 0, config.mac[5]);
  esp_netif_set_ip4_addr(&config.ip_info.gw, 10, 10 , 0, 1);
  esp_netif_set_ip4_addr(&config.ip_info.netmask, 255, 255 , 255, 0);

  esp_log_level_set("LoRa32", ESP_LOG_INFO);
  esp_netif_lora_init(&config);
}
